#!/bin/bash

USER=`whoami`


if [ $USER != "root" ]
  then echo "Please run as root"

  else

      read -p "Is this your first temperature sensor, or did you already run the rename script?: [y/n] " sensornumber
       echo $sensornumber

      if [[ $sensornumber == "n" ||  $sensornumber == "N" ]]
      then
        echo " not your first sensor "
        read -p "Run  ./rename_temperature first"

      fi

      if [[ $sensornumber != "n" && $sensornumber != "N" && $sensornumber != "y" && $sensornumber != "Y" ]]
      then
         echo " no valid answer, exiting"
             exit 1
      fi 

     arr=( /sys/bus/w1/devices/*  )
     # get length of an array
     arraylength=${#arr[@]}
     # use for loop to read all values and indexes
     for (( i=0;i<${arraylength}; i++ ));
     do
       OPT=`echo  ${arr[$i]} | cut -d "/" -f 6`
       echo $i") "$OPT
     done

     read -p "Select sensor: " sensor
     SENS=`echo ${arr[$sensor]}| cut -d "/" -f 6 `
     echo $SENS

     cp write_temp_data.bash.bkp write_temp_data.bash
     sed -i "s/REPLACE/$SENS/g" write_temp_data.bash

     dpkg -s gnuplot &> /dev/null >/dev/null
     if [ $? -eq 0 ]
        then echo "gnuplot installed"
        else
          echo "gnuplot not installed"
          apt-get install gnuplot -y
      fi

     dpkg -s bc &> /dev/null >/dev/null
     if [ $? -eq 0 ]
	then echo "bc installed"
        else
          echo "bc not installed"
          apt-get install bc -y
      fi

     dpkg -s apache2 &> /dev/null >/dev/null
     if [ $? -eq 0 ]
        then echo "apache2 installed"
        else
          echo "apache2 not installed"
          apt-get install apache2 -y
      fi

     dpkg -s php5 &> /dev/null >/dev/null
     if [ $? -eq 0 ]
        then echo "php5 installed"
        else
          echo "php5 not installed"
          apt-get install apache2 -y
      fi

      dpkg -s  libapache2-mod-php5 &> /dev/null >/dev/null
      if [ $? -eq 0 ]
        then echo "libapache2-mod-php5 installed"
        else
          echo "libapache2-mod-php5 not installed"
          apt-get install libapache2-mod-php5 -y
      fi
	

	
     mkdir -p /var/www/html/temperature
     cp history.php /var/www/html/temperature
     cp temperature.html.backup /var/www/html/temperature
     line="*/15 * * * * /home/pi/temperature/./write_temp_data.bash"
     sudo crontab -l | grep -q '/home/pi/temperature/./create_year_graph.bash' 
     if [ $? -eq 0 ]
      then echo "crontab ""$line"" exist"
     else
          echo "create ""$line"
          (crontab -u root -l; echo "$line" ) | crontab -u root -
     fi

     line="*/60 * * * * /home/pi/temperature/./create_temp_page.bash"
     sudo crontab -l | grep -q '/home/pi/temperature/./create_temp_page.bash' 
     if [ $? -eq 0 ]
      then echo "crontab ""$line"" exist"
     else
          echo "create ""$line"
          (crontab -u root -l; echo "$line" ) | crontab -u root -
     fi

     line="55 23 28-31 *  * /home/pi/temperature/./backup_temperature_pic.bash"
     sudo crontab -l | grep -q '/home/pi/temperature/./backup_temperature_pic.bash' 
     if [ $? -eq 0 ]
      then echo "crontab ""$line"" exist"
     else
          echo "create ""$line"
     #(crontab -u root -l; echo "$line" ) | crontab -u root -
     fi

     line="55 21 28-31 * *  /home/pi/temperature/./create_year_graph.bash"
     line2="40 21 28-31 * *  /home/pi/temperature/./create_year_graph.bash"
     sudo crontab -l | grep -q '/home/pi/temperature/./create_year_graph.bash' 
     if [ $? -eq 0 ]
      then echo "crontab ""$line"" exist"
     else
          echo "create ""$line"
         (crontab -u root -l; echo "$line" ) | crontab -u root -
         (crontab -u root -l; echo "$line2" ) | crontab -u root -

     fi
     ./write_temp_data.bash
     ./create_temp_page.bash
     echo " installation completed: go to http://localhost/temperature/temperature.html"

fi


